Subject: Re: CPM2 USB host driver

From: Mike Rapoport <[email-masked]>
Date: Sun, 02 Dec 2007 08:31:12 +0200

> 
>> I tried to forward-port FHCI from Freescale 2.6.11 kernels. Twice.
>> But these efforts always stumbled over more important tasks.
> 
> Do you think I start from the FHCI driver provided by Freescale for 2.6.11, 
> from the cpm2usb driver or from scratch ?

The cmp2usb is old and crappy, and I had no time at all to update it. So if the
choice was to start from cpm2usb or from scratch, I'd choose to start from scratch.

> Both the cpm2usb and FHCI drivers seem to use the packet-level interface. Is 
> there any reason not to use the transaction-level interface ?

> Best regards,

-- 
Sincerely yours,
Mike.